import logging
import os

"""File system info"""
ROOT_DIR = os.path.dirname(os.path.abspath(__file__))

"""DB Table names"""
MODEL_PARAMS_VIEW = "DM_MODEL_PARAMS"
DIM_TBL_COUNTIES = "SOR_DIM_COUNTY"
DIM_TBL_STATES = "SOR_DIM_STATE"
DIM_TBL_COUNTRIES = "SOR_DIM_COUNTRY"
DIM_TBL_COUNTY_TYPES = "SOR_DIM_COUNTY_TYPES"
ICR_RESULTS_TBL_COUNTY = "SOR_MDL_ICR_COUNTY"
ICR_RESULTS_TBL_STATE = "SOR_MDL_ICR_STATE"
ICR_RESULTS_TBL_COUNTRY = "SOR_MDL_ICR_COUNTRY"
MODEL_RESULT_COUNTY_TBL = "SOR_MDL_RESULT_COUNTY"
MODEL_RESULT_STATE_TBL = "SOR_MDL_RESULT_STATE"
MODEL_RESULT_COUNTRY_TBL = "SOR_MDL_RESULT_COUNTRY"
"""Data constants"""
ICR_RESULTS_TBL_KEYS = ["TARGET_ID", "DATE", "GEO_AGGR", "DAYS_AGGR", "IFR_BASE"]
TARGET_LEVELS = ["COUNTY", "STATE", "COUNTRY"]
"""Logging"""
logging.basicConfig(level=logging.DEBUG)
logger = logging.getLogger(__name__)
